package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.User;
import com.ruoyi.web.work.domain.dto.AuthenticationDto;
import com.ruoyi.web.work.domain.dto.LoginDto;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-15
 */
public interface IUserService extends IService<User>{
    List<User> selectList(User user);

    AjaxResult login(LoginDto dto);

    AjaxResult authentication(AuthenticationDto dto);
}
